Xircom Ethernet 10/100+Modem 56 - S-Registers

#

Table of Contents | Previous Page | Next Page

# Ethernet 10/100+Modem 56
Modem S-Registers

This section provides the following information:

- Introduction to S-Registers
- S-Register Reference

## Introduction to S-Registers

The Xircom modem uses memory storage locations, or S-Registers, to hold information controlling its operating environment. Few of these S-Registers require attention from modem users. S-Registers are used in conjunction with Modem AT Commands.

To display the value of an S-Register, type ATSn? where n is the number of the S-Register, then press Enter.

To modify the value of an S-Register, type ATSn=r where n is the S-Register number and r is the new value or setting, then press Enter.

## S-Register Reference

##### S0 Ring to Answer After

- The contents of register S0 sets the number of rings required before the modem goes off-hook to answer an incoming call (auto answer). The value can range from 0 to 255. ATS0=0 disables the auto-answer function. The default is 0.

##### S1 Ring Counter

- This register is read only. The value of S1 increments with each ring. If no rings occur over a six-second interval, the register is cleared. The value of S1 can range from 0 to 255. The default is 0. There may be country-specific limits.

##### S2 AT Escape Character

- Register S2 defines the ASCII character used in the Escape sequence. This command is used to return to command mode without losing the connection with a remote modem. Default is S2=43, which is the "+" character. Thus the default Escape sequence is +++. ASCII values 127 and below can be used. To disable this Escape sequence, set S2 equal to a value greater than 127.

##### S3 Command Line Termination Character

- This register contains the ASCII value of the command line terminating character (carriage return). The factory default value is ASCII 13 - the carriage return character. You can set register S3 to any value between 0 and 127.

##### S4 Response Formatting Character

- This register contains the ASCII value of the line feed character. The factory default value is 10. You can set register S4 to any value between 0 and 127. The modem uses a line feed character in command mode when it responds to the computer.

##### S5 Command Line Editing Character

- This register contains the ASCII value of the backspace character and is applicable to asynchronous transmissions only. The factory default value is 8. You can set register S5 to any value between 0 and 32, or to 127. The modem will not recognize the backspace character if it is set to a value greater than ASCII 32.

##### S6 Wait Before Blind Dialing

- This register determines how long the modem waits after going off-hook before dialing the first digit. The wait must be at least 2 seconds. Register S6 can be set to any value between 2 and 65 seconds. The default is 2 seconds. The value of the W dial modifier will override the value in register S6. This operation, however, may be affected by some ATX options according to country restrictions. There may be country-specific defaults and limits.

##### S7 Connection Completion Time-Out

- This register determines the number of seconds the originating modem waits for a carrier signal from the answering modem before hanging up. The timer is started when the modem finishes dialing (originate), or goes off-hook (answer). In originate mode, the timer is reset upon detection of an answer tone if allowed by country restriction. The timer also specifies the wait for silence time with the @ dial modifier (in seconds). S7 is not associated with the W dial modifier. Register S7 can be set at from 1 to 255 seconds with a default of 50 seconds. There may be country-specific defaults and limits.

##### S8 Duration of Pause for Comma Dial Modifier

- This register determines the number of seconds to pause for each comma (,) in a dial string or command line. The default is 2 seconds, but any value from zero to 65 is acceptable. Defaults and limits are country-specific.

##### S10 Delay Between Lost Carrier/Hang Up

- This register specifies the time (in tenths of a second) that the modem waits after carrier loss before hanging up. The default is 20 (2.0 seconds). Register S10 will accept a value ranging from 1 to 254 in tenths of a second (0.1 to 25.4 seconds). There may be country-specific defaults and limits.

##### S11 DTMF Tone Duration

- This register determines the "touch tone" dialing speed which is prefixed for each country. The value can range from 50 to 150 milliseconds. The default is 95 milliseconds. The value of register S11 has no effect on pulse dialing. There may be country-specific defaults and limits.

##### S12 Escape Guard Time

- This register sets the value (in 20 ms increments) of the required pause after the escape sequence. Range is 0 = 255, default is 50 units of 0.02 seconds each, or one second.

##### S28 V.34 Modulation Enable/Disable

- This register enables or disables V.34 modulation. Default setting is 1, valid values are 0 or 1. A value of zero disables V.34 modulation. Any other value in the range enables it.

##### S30 Inactivity Timer

- The value specified by this register sets how long the modem will wait (in minutes) before disconnecting when no data is sent or received. This function is only applicable in buffer mode. It is set by AT\Tn. Values are 0-255. Default is 0 (disabled).

##### S34 DTE Throughput Limit

- This register specifies whether the modem should limit throughput when the DTE is operating at higher speeds (57,600 or 115,200bps)

  S34=0 | Do not limit throughput (default).
  S34=1 | Limit throughput to DTE speed.

##### S35 Data Calling Tone

- This register enables or disables a tone of a certain frequency and cadence as specified in V.25 that allows remote data/fax/voice discrimination. It is set by AT-Cn. The frequency is 1300 Hz with a cadence of 0.5 seconds on and 2 seconds off. The default is country-specific. Some countries do not allow data calling tone to be overridden.

S35=0 | Data calling tone disabled (default).
S35=1 | Data calling tone enabled.

##### S36 Negotiation Fallback

- This register specifies the action to be taken in the event of a negotiation failure when error control is selected.

  S36=0,2 | Hang up
  S36=1,3 | Fall back to an asynchronous connection
  S36=4,6 | Attempt MNP. If MNP fails, hang up.
  S36=5,7 | Attempt MNP. If MNP fails, fall back to an asynchronous connection.

##### S37 Dial Line Rate

S37=0 | Maximum modem speed (default).
S37=1 | Reserved.
S37=2 | 1200/75bps.
S37=3 | 300bps.
S37=4 | Reserved.
S37=5 | Attempt to connect at 1200bps.
S37=6 | Attempt to connect at 2400bps.
S37=7 | Attempt to connect at 4800bps.
S37=8 | Attempt to connect at 7200bps.
S37=9 | Attempt to connect at 9600bps.
S37=10 | Attempt to connect at 12000bps.
S37=11 | Attempt to connect at 14400bps.
S37=12 | Attempt to connect at 16800bps.
S37=13 | Attempt to connect at 19200bps.
S37=14 | Attempt to connect at 21600bps.
S37=15 | Attempt to connect at 24000bps.
S37=16 | Attempt to connect at 26400bps.
S37=17 | Attempt to connect at 28800bps.
S37=18 | Attempt to connect at 31000bps.
S37=19 | Attempt to connect at 33600bps.

##### S40 ETC Startup Autorating

> S40=0 | Start up with normal autorating (default)
> S40=1 | Start up at initial rate of 4800 or below
> S40=2 | Start up at initial rate of 9600 or below

##### S42 Auto Rate

- V.32bis and V.22bis auto rate is disabled. Retrain operation is disabled or enabled in date mode, and fallback is disabled in data mode.

S42=0 | Auto rate disabled.
S42=1 | Auto rate enabled (default).

##### S43 Auto Mode

- V.32bis startup auto mode operation disabled.

S43=0 | Auto mode disabled.
S43=1 | Auto mode enabled (default).

##### S46 Data Compression Selection

- The setting of this register is used to turn data compression on or off. It is set by AT%Cn.
  Data compression can only be enabled when the modem is operating in an error-control (EC) mode using either V.42 LAP-M or MNP protocols.

> S46=0 | Modem will not attempt negotiation for data compression
> S46=2 | Modem will negotiate with a remote modem for data compression (default)
> S46=136 | Same as S46=0
> S46=138 | Same as S46=2

##### S48 LAPM Error Control and Feature Negotiation

S48=7 | Negotiation enabled.
S48=128 | Negotiation disabled; forces immediate fallback options specified in S36.

The following table shows the S36 and S48 configuration settings needed to negotiate certain types of connections.

| S48=7 | S48=128
S36=0,2 | LAPM or hangup | <Do not use
S36=1,3 | LAPM or buffered | Buffered
S36=4,6 | LAPM, MNP, or hangup | MNP or hangup
S36=5,7 | LAPM, MNP, or buffered | MNP or buffered

##### S89 Timer to Control Sleep Mode

- This register displays the number of seconds of inactivity (no characters sent from DTE, no RING) in the off-line command state before the modem places itself into standby mode. A value of zero prevents standby mode. Default is 30. Range is 0 and 5 - 65.
S91 Line Transmit Level
- This register specifies the line transmit level, in dB, with an implied minus sign. Default is 15 dB, range is 6 - 15.

##### S92 Direct Connect Transmit Level

- This register sets the transmit level, in dBm, for direct connect cellular. This value may have different settings for different phones. Default is 0 dBm.

S95 Negotiation Message Options

- This register enables various result codes indicating the sequence of events in an error-controlled connection. This S-Register does not affect the way the connection is negotiated, it just enables extended messages.

  S95=0 | Disables extended result code messages.
  S95=1 | Use DCE (modem-to-modem) speed when reporting CONNECT result codes.
  S95=2 | Append "/ARQ" to CONNECT result code when an error-controlled (EC) connection is established.
  S95=4 | Enable CARRIER result codes.
  S95=8 | Enable PROTOCOL result codes.
  S95=32 | Enable COMPRESSION result codes.

##### S98 Cable Detection Options

- This register controls the automatic detection and reporting of changes in the cable or alternative connector attached to the modem.

  S98=0 | Disables cable detection and reporting.
  S98=1 | Enable cable detection; disable reporting.
  S98=2 | Enable cable detection and reporting.

S109 V.90 or K56flex Operation

- This register controls the automatic detection or forced setting of V.90 or K56flex standards for operation at up to 56Kbps.

  Xircom firmware for current 56K modem products includes support for the V.90 56K modem standard. This firmware is designed to initially attempt to make a V.90 connection, then fall back to K56flex if the host being dialed does not support V.90. However, the host being dialed must support V.90 autodetect in order for a V.90 connection to be initiated by default. If the V.90 host you are calling does not support autodetect, it will be necessary to issue an ATS109=2 command to the modem in order to force a V.90 connection. If this command is used and a V.90 connection is still not achieved, the modem will fall back directly to V.34 (when S109=2, fallback from V.90 to K56flex is disabled). To set this value back to the default, issue ATS109=1.

  S109=0 | Forces K56flex; fallback to V.34.
  S109=1 | Negotiates V.90 initially if host supports V.90 autodetect; negotiates fallback to K56flex if V.90 autodetect or V.90 is not supported.
  S109=2 | Forces V.90 for PCM connects; if host does not support V.90, falls back directly to V.34.

##### How to Set S109

- To change the value of the S109 register with a terminal emulation program (such as HyperTerminal), enter ATS109=n (where n is 0, 1, or 2) in modem command mode.
- To change the value of the S109 register with Windows 95, 98, or NT Dial-Up Networking, go to Control Panel, Modems, highlight the Xircom modem and click Properties. Click Connections/Advanced. Enter S109=n (where n is 0, 1, or 2) in the Extra Settings box.

Table of Contents | Previous Page | Next Page